package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Emp_detailsRepository;
import com.realnet.vpspack.Entity.Emp_details
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
























































	import org.springframework.stereotype.Service;

@Service
 public class Emp_detailsService {
@Autowired
private Emp_detailsRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



























@Autowired
 private SequenceService documentsequencesequenceService;



























public Emp_details Savedata(Emp_details data) {




























data.setDocumentsequence (documentsequencesequenceService.GenerateSequence("aa"));



























	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Emp_details save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Emp_details> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Emp_details> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Emp_details> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Emp_details getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Emp_details update(Emp_details data,Integer id) {
	Emp_details old = Repository.findById(id).get();
old.setFirst_name(data.getFirst_name());

old.setNumbera(data.getNumbera());

old.setPhone_number(data.getPhone_number());

old.setParagraph_field(data.getParagraph_field());

old.setPassword_field(data.getPassword_field());

old.setTextarea_field(data.getTextarea_field());

old.setDate_field(data.getDate_field());

old.setDatetime_field(data.getDatetime_field());

old.setEmail_field(data.getEmail_field());

old.setToggle_switch (data.isToggle_switch());

old.setUrl_field(data.getUrl_field());

old.setDecimal_field(data.getDecimal_field());

old.setPercentage_field(data.getPercentage_field());

old.setRecaptcha(data.getRecaptcha());

old.setDocumentsequence(data.getDocumentsequence());

old.setSelectsta(data.getSelectsta());

old.setRadios(data.getRadios());

  
 
old.setQ(data.isQ());
   

 
old.setB(data.isB());
   


  

 

 

 

 

old.setSurvey_form(data.getSurvey_form());

old.setCurrency(data.getCurrency());

old.setQrcode_field(data.getQrcode_field());

old.setBarcode_field(data.getBarcode_field());

old.setNumberb(data.getNumberb());

old.setCalculatedadd(data.getCalculatedadd());

final Emp_details test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
























































 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
